Ubuntu

[MASTER] syntax errors in /etc/default/grub break upgrades

Reported by doomtroll on 2009-11-17
This bug affects 222 people
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
Medium
luner enrique parra
Lucid
Medium
Unassigned

Bug Description

Binary package hint: grub2

Ubuntu 9.10
grub-pc 1.97 constantly fails to update

ProblemType: Package
Architecture: i386
Date: Tue Nov 17 16:55:09 2009
DistroRelease: Ubuntu 9.10
ErrorMessage: subprocess installed post-installation script returned error exit status 2
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
NonfreeKernelModules: nvidia
Package: grub-pc 1.97~beta4-1ubuntu4
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: grub2
Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2
Uname: Linux 2.6.31-14-generic i686

doomtroll (doomtroll) wrote :
Monkey (monkey-libre) wrote :

Please try to install grub-pc 1.97~beta4-1ubuntu4 from the Synapic Package Manager. Thank You for making Ubuntu better.

Changed in grub2 (Ubuntu):
status: New → Incomplete
Jean-Baptiste Lallement (jibel) wrote :

Thanks for your report.

The relevant error is
---
Setting up grub-pc (1.97~beta4-1ubuntu4) ...
/etc/default/grub: 25: Syntax error: EOF in backquote substitution
dpkg: error processing grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 2

It seems that you introduced a syntax error is /etc/default/grub. Could you please attach that file ? Thanks.

summary: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade:
- subprocess installed post-installation script returned error exit status
- 2
+ /etc/default/grub: 25: Syntax error: EOF in backquote substitution

Configurazione di grub-pc (1.97~beta4-1ubuntu5)...
/etc/default/grub: 25: Syntax error: EOF in backquote substitution
dpkg: errore nell'elaborare grub-pc (--configure):
 il sottoprocesso vecchio script di post-installation ha restituito lo stato di errore 2
dpkg: problemi con le dipendenze impediscono la configurazione di grub2:
 grub2 dipende da grub-pc; comunque:
  Il pacchetto grub-pc non è ancora configurato.
dpkg: errore nell'elaborare grub2 (--configure):
 problemi con le dipendenze - lasciato non configurato
Non è stata scritta alcuna segnalazione apport poiché il messaggio di errore indica che è un errore da un fallimento precedente.
                                                Si sono verificati degli errori nell'elaborazione:
 grub-pc
 grub2
E: Sub-process /usr/bin/dpkg returned an error code (1)

Jean-Baptiste Lallement (jibel) wrote :

@slish, same problem, same question: Could you please attach the file /etc/default/grub to this report ? Thanks.

slish (slish) wrote :

Sure.
That's mine grub file.... never modified by me.

Jean-Baptiste Lallement (jibel) wrote :

Thanks.

The error is at line
There is a missing " at the end of line ":
GRUB_CMDLINE_LINUX="

Change the line to:
GRUB_CMDLINE_LINUX=""

and try performing the upgrade again. That should solve your issue.

setting to triaged/medium.

Changed in grub2 (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
slish (slish) wrote :

That worked for me, thanks a lot Jean-Baptiste
=)

Jean-Baptiste Lallement (jibel) wrote :

I'm curious about what could have modified that file this way. Do you remember when it first occurred and by chance would you still have a file named /var/log/apt/term.log.* of that time ?

slish (slish) wrote :

it happened some week ago, maybe after a kernel upgrade. I attach the file you asked for.
I think that the error verified first time in this file

Colin Watson (cjwatson) on 2010-06-29
summary: - package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade:
- /etc/default/grub: 25: Syntax error: EOF in backquote substitution
+ [MASTER] syntax errors in /etc/default/grub break upgrades
Colin Watson (cjwatson) on 2010-06-29
Changed in grub2 (Ubuntu Lucid):
status: New → Triaged
importance: Undecided → Medium
Changed in grub2 (Ubuntu):
assignee: nobody → luner enrique parra (a-19angelnocturno)

On Mon, Jul 19, 2010 at 08:49:45AM -0000, luner enrique parra wrote:
> ** Changed in: grub2 (Ubuntu)
> Assignee: (unassigned) => luner enrique parra (a-19angelnocturno)

What fix are you planning to implement for this bug?

Frank Laub (frank-laub) wrote :

package grub-pc 1.98-1ubuntu7 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Still busted?

no, now it's all ok for this bug
thank's

2010/8/5 Frank Laub <email address hidden>

> package grub-pc 1.98-1ubuntu7 failed to install/upgrade: subprocess
> installed post-installation script returned error exit status 1
>
> Still busted?
>
> --
> [MASTER] syntax errors in /etc/default/grub break upgrades
> https://bugs.launchpad.net/bugs/484499
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “grub2” package in Ubuntu: Triaged
> Status in “grub2” source package in Lucid: Triaged
>
> Bug description:
> Binary package hint: grub2
>
> Ubuntu 9.10
> grub-pc 1.97 constantly fails to update
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Nov 17 16:55:09 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned error
> exit status 2
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> NonfreeKernelModules: nvidia
> Package: grub-pc 1.97~beta4-1ubuntu4
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> SourcePackage: grub2
> Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade:
> subprocess installed post-installation script returned error exit status 2
> Uname: Linux 2.6.31-14-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/484499/+subscribe
>

  Thanks,
Well, yes and no. The issue is that I have an Acer laptop, and since
10.04 the boot is slow. I don't get a nice graphic splash screen, just
1980's blocky text, and seems to take a long time to start up. Searched
around and found this is a common problem for some graphics chip sets,
and tried a few things, some of which involved editing Grub files. So,
that's how the syntax error came about. Grub did work fine though, and
the boot was quicker. Then yesterday I tried the very latest round of
updates, and I lost my grub boot menu entirely, just dropped to grub
shell. After much fiddling, I got back into Ubuntu, completely
uninstalled grub2 and then re-installed. Now everything works ok,
although I can't comment on the boot times, just got it back to working
and went to bed.
I think I'll just try and live with a 2 min boot from now on.

Cheers
Brian

On 5/08/2010 12:06 PM, Frank Laub wrote:
> package grub-pc 1.98-1ubuntu7 failed to install/upgrade: subprocess
> installed post-installation script returned error exit status 1
>
> Still busted?
>

Gurubie (gurubie) wrote :

I have package grub-pc 1.98-1ubuntu7, and still no boot on the new kernel.

I completely removed new kernel, booted (with old one) and then reinstalled new Kernel, linux-image, version 2.6.32-24.39. No errors were seen.

Still, "Bad magic number"; at Grub.

It's been suggested that I do a fsck from the live CD. Make sense?

I hope we get a permanent solution to this problem

On 8/7/10, Gurubie <email address hidden> wrote:
> I have package grub-pc 1.98-1ubuntu7, and still no boot on the new
> kernel.
>
> I completely removed new kernel, booted (with old one) and then
> reinstalled new Kernel, linux-image, version 2.6.32-24.39. No errors
> were seen.
>
> Still, "Bad magic number"; at Grub.
>
> It's been suggested that I do a fsck from the live CD. Make sense?
>
> --
> [MASTER] syntax errors in /etc/default/grub break upgrades
> https://bugs.launchpad.net/bugs/484499
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “grub2” package in Ubuntu: Triaged
> Status in “grub2” source package in Lucid: Triaged
>
> Bug description:
> Binary package hint: grub2
>
> Ubuntu 9.10
> grub-pc 1.97 constantly fails to update
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Nov 17 16:55:09 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned error
> exit status 2
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> NonfreeKernelModules: nvidia
> Package: grub-pc 1.97~beta4-1ubuntu4
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> SourcePackage: grub2
> Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade:
> subprocess installed post-installation script returned error exit status 2
> Uname: Linux 2.6.31-14-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/484499/+subscribe
>

Gurubie (gurubie) wrote :

Note: fsck from live CD, was 100% OK, and still no boot, on the new Lucid kernel.

This seems critical to me. New users would assume Ubuntu's upgrading, just doesn't work. I fear, in 2020, we will still hear, "I tried that stuff, in 2010 and it just crashed, with cryptic, black screen, text messages. I never got past start up."

What can I do to help?

Gurubie (gurubie) wrote :

I see no syntax error, in grub lines, and if one has been found somewhere(including source code), wouldn't upgrades, fix that by now?

I'm doing upgrades everyday.

The solution provided by John Baptiste Lallement worked perfectly fine with my systems.. I use them on a lenovo G550 and a i386 Desktop PC.. 'm attaching a file for any further reference!

Gurubie (gurubie) wrote :

I'm coming at you from the live CD now.

I double checked /etc/default/grub and those quotes (that fix) are already correct.

I thought I would sudo update-grub yet another time, and recheck again.

I saw that the countdown time was at 10, and I changed it to 4(preference). Yes, I am sure I did not change anything else.

sudo update-grub gave no errors.

On boot, I ONLY got a Grub> prompt. :( Not even the original bad magic and no kernel.

Now, I'm slogging on the live CD. I changed the value back to 10 (just so all is the verified the same).

I had to do a change root (NOT newbie stuff) in order to do an update-grub, as root; on the non-booting system (since there's no easier way to boot a borked, Grub failed system).

sudo mount --bind /dev /mnt/dev
sudo mount --bind /proc /mnt/proc
sudo mount --bind /sys /mnt/sys
sudo cp /etc/resolv.conf /mnt/etc/resolv.conf
sudo chroot /mnt /bin/bash

...Allowed me to update-grub. (Good luck newbies)

Now, I'm going to test it.

The point is, that fix wasn't the problem, and it's not resolved.

Gurubie (gurubie) wrote :

That got me back up (from hell) through Grub (old kernel). I don't know why changing 10 to 4 should trash Grub at is had no errors on sudo update-grub.

My hope is, if someone can't boot at all, the last post will show them how-to (edit with the live CD first, and then change root "update-grub" after.)

The original problem, as posted above, still exists. Same errors, and the new kernel still will not boot from Grub.

The solution provided by John Baptiste Lallement worked perfectly fine with my system CQ61 W7 10.04 Wubi.

Thank you.

Gurubie (gurubie) wrote :

# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg.

GRUB_DEFAULT=0
#GRUB_HIDDEN_TIMEOUT=0
GRUB_HIDDEN_TIMEOUT_QUIET=true
GRUB_TIMEOUT=10
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX=""

# Uncomment to disable graphical terminal (grub-pc only)
#GRUB_TERMINAL=console

# The resolution used on graphical terminal
# note that you can use only modes which your graphic card supports via VBE
# you can see them in real GRUB with the command `vbeinfo'
#GRUB_GFXMODE=640x480

# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux
#GRUB_DISABLE_LINUX_UUID=true

# Uncomment to disable generation of recovery mode menu entries
#GRUB_DISABLE_LINUX_RECOVERY="true"

# Uncomment to get a beep at grub start
#GRUB_INIT_TUNE="480 440 1"

Gurubie (gurubie) wrote :

It's clear there was a syntax problem (this thread) and a solution that worked; but did not work for my errors. My report, may be put back where I started it, in another report, or in it's own. It's a separate error, and perhaps not syntax, at all.

Gurubie, your report (bug 613967) clearly showed a syntax error, that's why I marked it as duplicate of this report. Since you have another problem, I will unduplicate it, could you please add more details about what you are experiencing to your original report.
Thanks in advance.

Gurubie (gurubie) wrote :

I understand and appreciate your effort, however, those guys solved their syntax errors and that syntax error was never my problem, we just had the same symptom. No new kernel boot. See bug #613967. I do need to be in another bug report; besides either of these. If there's not one already, we can start one with the details that I already posted, in #61397. A search didn't reveal one; before I posted my problem in #613967, and before their solution was found. Please advise; if you want me to start a new one. See #613967 for more.

Gurubie (gurubie) wrote :

Posted my solution over there at bug #613967.

pastort (peritopizza) wrote :

Change the line to:
GRUB_CMDLINE_LINUX=""

this don't work

---

Here is my grub file:

# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg.

GRUB_DEFAULT=0
#GRUB_HIDDEN_TIMEOUT=0
GRUB_HIDDEN_TIMEOUT_QUIET=true
GRUB_TIMEOUT=10
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX=""

# Uncomment to disable graphical terminal (grub-pc only)
#GRUB_TERMINAL=console

# The resolution used on graphical terminal
# note that you can use only modes which your graphic card supports via VBE
# you can see them in real GRUB with the command `vbeinfo'
#GRUB_GFXMODE=640x480

# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux
#GRUB_DISABLE_LINUX_UUID=true

# Uncomment to disable generation of recovery mode menu entries
#GRUB_DISABLE_LINUX_RECOVERY="true"

# Uncomment to get a beep at grub start
#GRUB_INIT_TUNE="480 440 1"

radeon.modeset=0

On Sat, Sep 11, 2010 at 09:02:49PM -0000, pastort wrote:
> Change the line to:
> GRUB_CMDLINE_LINUX=""

That line in itself is fine.

> radeon.modeset=0

Remove this line. It's not valid shell syntax and makes no sense where
it is. If you need to set radeon.modeset=0 as a kernel parameter, it
needs to go inside the quotes on the GRUB_CMDLINE_LINUX_DEFAULT or
GRUB_CMDLINE_LINUX line.

You can run this command to check the syntax:

  sh -c '. /etc/default/grub'

This fix does not resolve my bug (bug 676405). When I try upgrade-grub I get a syntax error: "newline unexpected"

However can someone explain a little about grub to me?
On my desktop I have Ubuntu 10.04 installed on one partition of my drive and 10.10 installed in another. I use grub to choose between the two. How does this situation affect the grub-update function? Does the grub in the 1st menulist affect both distros? Is this type of install bad practice, am I better off having my development install in a virtual drive to minimise damage to my Ubuntu LTS distro?

Thank you ver much, but I am Spanish and I don't understand nothing
2010/11/27 John McPherson <email address hidden>

> This fix does not resolve my bug (bug 676405). When I try upgrade-grub I
> get a syntax error: "newline unexpected"
>
> However can someone explain a little about grub to me?
> On my desktop I have Ubuntu 10.04 installed on one partition of my drive
> and 10.10 installed in another. I use grub to choose between the two. How
> does this situation affect the grub-update function? Does the grub in the
> 1st menulist affect both distros? Is this type of install bad practice, am I
> better off having my development install in a virtual drive to minimise
> damage to my Ubuntu LTS distro?
>
> --
> [MASTER] syntax errors in /etc/default/grub break upgrades
> https://bugs.launchpad.net/bugs/484499
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (652278).
>
> Status in “grub2” package in Ubuntu: Triaged
> Status in “grub2” source package in Lucid: Triaged
>
> Bug description:
> Binary package hint: grub2
>
> Ubuntu 9.10
> grub-pc 1.97 constantly fails to update
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Nov 17 16:55:09 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned error
> exit status 2
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> NonfreeKernelModules: nvidia
> Package: grub-pc 1.97~beta4-1ubuntu4
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> SourcePackage: grub2
> Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade:
> subprocess installed post-installation script returned error exit status 2
> Uname: Linux 2.6.31-14-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/484499/+subscribe
>

--
*Pedro Miguel*

Download full text (3.2 KiB)

ok ok ok gracias

Roberto Noé Díaz

--- El vie 26-nov-10, Pedro Miguel <email address hidden> escribió:

De: Pedro Miguel <email address hidden>
Asunto: Re: [Bug 484499] Re: [MASTER] syntax errors in /etc/default/grub break upgrades
Para: <email address hidden>
Fecha: viernes, 26 de noviembre de 2010, 23:52

Thank you ver much, but I am Spanish and I don't understand nothing
2010/11/27 John McPherson <email address hidden>

> This fix does not resolve my bug (bug 676405). When I try upgrade-grub I
> get a syntax error: "newline unexpected"
>
> However can someone explain a little about grub to me?
> On  my desktop I have Ubuntu 10.04 installed on one partition of my drive
> and 10.10 installed in another. I use grub to choose between the two. How
> does this situation affect the grub-update function? Does the grub in the
> 1st menulist affect both distros? Is this type of install bad practice, am I
> better off having my development install in a virtual drive to minimise
> damage to my Ubuntu LTS distro?
>
> --
> [MASTER] syntax errors in /etc/default/grub break upgrades
> https://bugs.launchpad.net/bugs/484499
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (652278).
>
> Status in “grub2” package in Ubuntu: Triaged
> Status in “grub2” source package in Lucid: Triaged
>
> Bug description:
> Binary package hint: grub2
>
> Ubuntu 9.10
> grub-pc 1.97 constantly fails to update
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Nov 17 16:55:09 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned error
> exit status 2
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> NonfreeKernelModules: nvidia
> Package: grub-pc 1.97~beta4-1ubuntu4
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> SourcePackage: grub2
> Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade:
> subprocess installed post-installation script returned error exit status 2
> Uname: Linux 2.6.31-14-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/484499/+subscribe
>

--
*Pedro Miguel*

--
[MASTER] syntax errors in /etc/default/grub break upgrades
https://bugs.launchpad.net/bugs/484499
You received this bug notification because you are a direct subscriber
of a duplicate bug (673780).

Status in “grub2” package in Ubuntu: Triaged
Status in “grub2” source package in Lucid: Triaged

Bug description:
Binary package hint: grub2

Ubuntu 9.10
grub-pc 1.97 constantly fails to update

ProblemType: Package
Architecture: i386
Date: Tue Nov 17 16:55:09 2009
DistroRelease: Ubuntu 9.10
ErrorMessage: subprocess installed post-installation script returned error exit status 2
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
NonfreeKernelModules: nvidia
Package: grub-pc 1.97~beta4-1ubuntu4
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: grub2
Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2
Uname: Linux 2.6.31-14-generic i686...

Read more...

paulo bessa (pcbessa) wrote :

I also have a problem in my Grub file
It says "/etc/default/grub: 30: Syntax error: EOF in backquote substitution"
which is the last line

I guess I modified it already by hand but forget what it was.
I'm using Ubuntu lucid 10.04 in Asus eeePC 1001px
I am sorry if it's simple, I am a very beginner.
And I'm sorry that I post this in a duplicate thread!

File is:

# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg.

GRUB_DEFAULT=0
GRUB_HIDDEN_TIMEOUT=0
GRUB_HIDDEN_TIMEOUT_QUIET=true
GRUB_TIMEOUT=10
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet splash
GRUB_CMDLINE_LINUX=""

# Uncomment to disable graphical terminal (grub-pc only)
#GRUB_TERMINAL=console

# The resolution used on graphical terminal
# note that you can use only modes which your graphic card supports via VBE
# you can see them in real GRUB with the command `vbeinfo'
#GRUB_GFXMODE=640x480

# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to Linux
#GRUB_DISABLE_LINUX_UUID=true

# Uncomment to disable generation of recovery mode menu entries
#GRUB_DISABLE_LINUX_RECOVERY="true"

# Uncomment to get a beep at grub start
#GRUB_INIT_TUNE="480 440 1"

Naveen Agarwal (nav.coder) wrote :

@paulo bessa

Editing this line : GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet splash

To this :GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet splash"

should solve your problem. As the double quotes was not there in your case.

Please post your results.

Does not seem to have changed anything. I still get "21:syntax error:
newline unexpected" when I update-grub. My /etc/default/grub is:

# If you change this file, run 'update-grub' afterwards to update
# /boot/grub/grub.cfg.

GRUB_DEFAULT=0
GRUB_HIDDEN_TIMEOUT=0
GRUB_HIDDEN_TIMEOUT_QUIET=true
GRUB_TIMEOUT=10
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet
splash"
# GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset
video=uvesafb:mode_option=>>1024x768x24<<,mtrr=3,scroll=ywrap"
# GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
GRUB_CMDLINE_LINUX="splash vga=795"

# Uncomment to disable graphical terminal (grub-pc only)
#GRUB_TERMINAL=console

# The resolution used on graphical terminal
# note that you can use only modes which your graphic card supports via VBE
# you can see them in real GRUB with the command `vbeinfo'
GRUB_GFXMODE=>>1024x768-24<<

# Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to
Linux
#GRUB_DISABLE_LINUX_UUID=true

# Uncomment to disable generation of recovery mode menu entries
#GRUB_DISABLE_LINUX_RECOVERY="true"

# Uncomment to get a beep at grub start
#GRUB_INIT_TUNE="480 440 1"

On Fri, Jan 14, 2011 at 12:36 AM, Naveen Agarwal
<email address hidden>wrote:

> @paulo bessa
>
> Editing this line :
> GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet
> splash
>
> To this
> :GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet
> splash"
>
> should solve your problem. As the double quotes was not there in your
> case.
>
> Please post your results.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (676405).
> https://bugs.launchpad.net/bugs/484499
>
> Title:
> [MASTER] syntax errors in /etc/default/grub break upgrades
>
> Status in “grub2” package in Ubuntu:
> Triaged
> Status in “grub2” source package in Lucid:
> Triaged
>
> Bug description:
> Binary package hint: grub2
>
> Ubuntu 9.10
> grub-pc 1.97 constantly fails to update
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Nov 17 16:55:09 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned error
> exit status 2
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> NonfreeKernelModules: nvidia
> Package: grub-pc 1.97~beta4-1ubuntu4
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> SourcePackage: grub2
> Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade:
> subprocess installed post-installation script returned error exit status 2
> Uname: Linux 2.6.31-14-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/484499/+subscribe
>

Download full text (3.2 KiB)

Ok, I'm getting somewhere. Acting on a hint from the forum I removed the
double brackets from my line "GRUB_GFXMODE=>>1024x768x24>> Now I am able to
update-grub without the syntax error.

On Sat, Jan 22, 2011 at 11:18 AM, John McPherson <
<email address hidden>> wrote:

> Does not seem to have changed anything. I still get "21:syntax error:
> newline unexpected" when I update-grub. My /etc/default/grub is:
>
>
> # If you change this file, run 'update-grub' afterwards to update
> # /boot/grub/grub.cfg.
>
> GRUB_DEFAULT=0
> GRUB_HIDDEN_TIMEOUT=0
> GRUB_HIDDEN_TIMEOUT_QUIET=true
> GRUB_TIMEOUT=10
> GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
> GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet
> splash"
> # GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset
> video=uvesafb:mode_option=>>1024x768x24<<,mtrr=3,scroll=ywrap"
> # GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
> GRUB_CMDLINE_LINUX="splash vga=795"
>
>
> # Uncomment to disable graphical terminal (grub-pc only)
> #GRUB_TERMINAL=console
>
> # The resolution used on graphical terminal
> # note that you can use only modes which your graphic card supports via VBE
> # you can see them in real GRUB with the command `vbeinfo'
> GRUB_GFXMODE=>>1024x768-24<<
>
>
> # Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to
> Linux
> #GRUB_DISABLE_LINUX_UUID=true
>
> # Uncomment to disable generation of recovery mode menu entries
> #GRUB_DISABLE_LINUX_RECOVERY="true"
>
> # Uncomment to get a beep at grub start
> #GRUB_INIT_TUNE="480 440 1"
>
>
>
> On Fri, Jan 14, 2011 at 12:36 AM, Naveen Agarwal <
> <email address hidden>> wrote:
>
>> @paulo bessa
>>
>> Editing this line :
>> GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet
>> splash
>>
>> To this
>> :GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet
>> splash"
>>
>> should solve your problem. As the double quotes was not there in your
>> case.
>>
>> Please post your results.
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug (676405).
>> https://bugs.launchpad.net/bugs/484499
>>
>> Title:
>> [MASTER] syntax errors in /etc/default/grub break upgrades
>>
>> Status in “grub2” package in Ubuntu:
>> Triaged
>> Status in “grub2” source package in Lucid:
>> Triaged
>>
>> Bug description:
>> Binary package hint: grub2
>>
>> Ubuntu 9.10
>> grub-pc 1.97 constantly fails to update
>>
>> ProblemType: Package
>> Architecture: i386
>> Date: Tue Nov 17 16:55:09 2009
>> DistroRelease: Ubuntu 9.10
>> ErrorMessage: subprocess installed post-installation script returned
>> error exit status 2
>> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
>> NonfreeKernelModules: nvidia
>> Package: grub-pc 1.97~beta4-1ubuntu4
>> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
>> SourcePackage: grub2
>> Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade:
>> subprocess installed post-installation script returned error exit status 2
>> Uname: Linux 2.6.31-14-generic i686
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/ubuntu/+source/grub2...

Read more...

Download full text (3.5 KiB)

Oops when I do this my system will only boot up in Recovery Mode. What I had
to do was unhash the line #GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

On Sat, Jan 22, 2011 at 12:13 PM, John McPherson <
<email address hidden>> wrote:

> Ok, I'm getting somewhere. Acting on a hint from the forum I removed the
> double brackets from my line "GRUB_GFXMODE=>>1024x768x24>> Now I am able to
> update-grub without the syntax error.
>
>
>
> On Sat, Jan 22, 2011 at 11:18 AM, John McPherson <
> <email address hidden>> wrote:
>
>> Does not seem to have changed anything. I still get "21:syntax error:
>> newline unexpected" when I update-grub. My /etc/default/grub is:
>>
>>
>> # If you change this file, run 'update-grub' afterwards to update
>> # /boot/grub/grub.cfg.
>>
>> GRUB_DEFAULT=0
>> GRUB_HIDDEN_TIMEOUT=0
>> GRUB_HIDDEN_TIMEOUT_QUIET=true
>> GRUB_TIMEOUT=10
>> GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
>> GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet
>> splash"
>> # GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset
>> video=uvesafb:mode_option=>>1024x768x24<<,mtrr=3,scroll=ywrap"
>> # GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"
>> GRUB_CMDLINE_LINUX="splash vga=795"
>>
>>
>> # Uncomment to disable graphical terminal (grub-pc only)
>> #GRUB_TERMINAL=console
>>
>> # The resolution used on graphical terminal
>> # note that you can use only modes which your graphic card supports via
>> VBE
>> # you can see them in real GRUB with the command `vbeinfo'
>> GRUB_GFXMODE=>>1024x768-24<<
>>
>>
>> # Uncomment if you don't want GRUB to pass "root=UUID=xxx" parameter to
>> Linux
>> #GRUB_DISABLE_LINUX_UUID=true
>>
>> # Uncomment to disable generation of recovery mode menu entries
>> #GRUB_DISABLE_LINUX_RECOVERY="true"
>>
>> # Uncomment to get a beep at grub start
>> #GRUB_INIT_TUNE="480 440 1"
>>
>>
>>
>> On Fri, Jan 14, 2011 at 12:36 AM, Naveen Agarwal <
>> <email address hidden>> wrote:
>>
>>> @paulo bessa
>>>
>>> Editing this line :
>>> GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet
>>> splash
>>>
>>> To this
>>> :GRUB_CMDLINE_LINUX_DEFAULT="rootflags=umask=007,uid=1000,gid=1000 quiet
>>> splash"
>>>
>>> should solve your problem. As the double quotes was not there in your
>>> case.
>>>
>>> Please post your results.
>>>
>>> --
>>> You received this bug notification because you are a direct subscriber
>>> of a duplicate bug (676405).
>>> https://bugs.launchpad.net/bugs/484499
>>>
>>> Title:
>>> [MASTER] syntax errors in /etc/default/grub break upgrades
>>>
>>> Status in “grub2” package in Ubuntu:
>>> Triaged
>>> Status in “grub2” source package in Lucid:
>>> Triaged
>>>
>>> Bug description:
>>> Binary package hint: grub2
>>>
>>> Ubuntu 9.10
>>> grub-pc 1.97 constantly fails to update
>>>
>>> ProblemType: Package
>>> Architecture: i386
>>> Date: Tue Nov 17 16:55:09 2009
>>> DistroRelease: Ubuntu 9.10
>>> ErrorMessage: subprocess installed post-installation script returned
>>> error exit status 2
>>> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386
>>> (20091028.5)
>>> NonfreeKernelModules: nvidia
>>> Package: grub-pc 1.97~beta4-1ubuntu4
>>> ProcVersionSign...

Read more...

dino99 (9d9) wrote :

is it still an issue into Lucid with grub2 1.98-1ubuntu13 ?

Changed in grub2 (Ubuntu Lucid):
status: Triaged → Incomplete
Changed in grub2 (Ubuntu):
status: Triaged → Incomplete
Mike M (mmeyerj) wrote :

Nope. You can close the issue. Thank you.

On May 4, 2013, at 10:53 AM, dino99 <email address hidden> wrote:

> is it still an issue into Lucid with grub2 1.98-1ubuntu13 ?
>
> ** Changed in: grub2 (Ubuntu Lucid)
> Status: Triaged => Incomplete
>
> ** Changed in: grub2 (Ubuntu)
> Status: Triaged => Incomplete
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (631739).
> https://bugs.launchpad.net/bugs/484499
>
> Title:
> [MASTER] syntax errors in /etc/default/grub break upgrades
>
> Status in “grub2” package in Ubuntu:
> Incomplete
> Status in “grub2” source package in Lucid:
> Incomplete
>
> Bug description:
> Binary package hint: grub2
>
> Ubuntu 9.10
> grub-pc 1.97 constantly fails to update
>
> ProblemType: Package
> Architecture: i386
> Date: Tue Nov 17 16:55:09 2009
> DistroRelease: Ubuntu 9.10
> ErrorMessage: subprocess installed post-installation script returned error exit status 2
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> NonfreeKernelModules: nvidia
> Package: grub-pc 1.97~beta4-1ubuntu4
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> SourcePackage: grub2
> Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2
> Uname: Linux 2.6.31-14-generic i686
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/484499/+subscriptions

 ok ok ok  tema cerrado.
saludos

Roberto Noe Díaz

>________________________________
> De: Mike M <email address hidden>
>Para: <email address hidden>
>Enviado: sábado, 4 de mayo de 2013 15:21
>Asunto: Re: [Bug 484499] Re: [MASTER] syntax errors in /etc/default/grub break upgrades
>
>
>Nope. You can close the issue. Thank you.
>
>On May 4, 2013, at 10:53 AM, dino99 <email address hidden> wrote:
>
>> is it still an issue into Lucid with grub2 1.98-1ubuntu13 ?
>>
>> ** Changed in: grub2 (Ubuntu Lucid)
>>      Status: Triaged => Incomplete
>>
>> ** Changed in: grub2 (Ubuntu)
>>      Status: Triaged => Incomplete
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (631739).
>> https://bugs.launchpad.net/bugs/484499
>>
>> Title:
>>  [MASTER] syntax errors in /etc/default/grub break upgrades
>>
>> Status in “grub2” package in Ubuntu:
>>  Incomplete
>> Status in “grub2” source package in Lucid:
>>  Incomplete
>>
>> Bug description:
>>  Binary package hint: grub2
>>
>>  Ubuntu 9.10
>>  grub-pc 1.97 constantly fails to update
>>
>>  ProblemType: Package
>>  Architecture: i386
>>  Date: Tue Nov 17 16:55:09 2009
>>  DistroRelease: Ubuntu 9.10
>>  ErrorMessage: subprocess installed post-installation script returned error exit status 2
>>  InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
>>  NonfreeKernelModules: nvidia
>>  Package: grub-pc 1.97~beta4-1ubuntu4
>>  ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
>>  SourcePackage: grub2
>>  Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2
>>  Uname: Linux 2.6.31-14-generic i686
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/484499/+subscriptions
>
>--
>You received this bug notification because you are subscribed to a
>duplicate bug report (673780).
>https://bugs.launchpad.net/bugs/484499
>
>Title:
>  [MASTER] syntax errors in /etc/default/grub break upgrades
>
>Status in “grub2” package in Ubuntu:
>  Incomplete
>Status in “grub2” source package in Lucid:
>  Incomplete
>
>Bug description:
>  Binary package hint: grub2
>
>  Ubuntu 9.10
>  grub-pc 1.97 constantly fails to update
>
>  ProblemType: Package
>  Architecture: i386
>  Date: Tue Nov 17 16:55:09 2009
>  DistroRelease: Ubuntu 9.10
>  ErrorMessage: subprocess installed post-installation script returned error exit status 2
>  InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
>  NonfreeKernelModules: nvidia
>  Package: grub-pc 1.97~beta4-1ubuntu4
>  ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
>  SourcePackage: grub2
>  Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2
>  Uname: Linux 2.6.31-14-generic i686
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/484499/+subscriptions
>
>
>

Uname: Linux 2.6.31-14-generic i686 este es de 64 y vos actualisaste el de 32.
saludos

Roberto Noe Díaz

>________________________________
> De: dino99 <email address hidden>
>Para: <email address hidden>
>Enviado: sábado, 4 de mayo de 2013 13:53
>Asunto: [Bug 484499] Re: [MASTER] syntax errors in /etc/default/grub break upgrades
>
>
>is it still an issue into Lucid with grub2 1.98-1ubuntu13 ?
>
>** Changed in: grub2 (Ubuntu Lucid)
>      Status: Triaged => Incomplete
>
>** Changed in: grub2 (Ubuntu)
>      Status: Triaged => Incomplete
>
>--
>You received this bug notification because you are subscribed to a
>duplicate bug report (673780).
>https://bugs.launchpad.net/bugs/484499
>
>Title:
>  [MASTER] syntax errors in /etc/default/grub break upgrades
>
>Status in “grub2” package in Ubuntu:
>  Incomplete
>Status in “grub2” source package in Lucid:
>  Incomplete
>
>Bug description:
>  Binary package hint: grub2
>
>  Ubuntu 9.10
>  grub-pc 1.97 constantly fails to update
>
>  ProblemType: Package
>  Architecture: i386
>  Date: Tue Nov 17 16:55:09 2009
>  DistroRelease: Ubuntu 9.10
>  ErrorMessage: subprocess installed post-installation script returned error exit status 2
>  InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
>  NonfreeKernelModules: nvidia
>  Package: grub-pc 1.97~beta4-1ubuntu4
>  ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
>  SourcePackage: grub2
>  Title: package grub-pc 1.97~beta4-1ubuntu4 failed to install/upgrade: subprocess installed post-installation script returned error exit status 2
>  Uname: Linux 2.6.31-14-generic i686
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/484499/+subscriptions
>
>

Launchpad Janitor (janitor) wrote :

[Expired for grub2 (Ubuntu Lucid) because there has been no activity for 60 days.]

Changed in grub2 (Ubuntu Lucid):
status: Incomplete → Expired
dino99 (9d9) on 2013-07-05
Changed in grub2 (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers